Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002126TestLinkRequirement Managementpublic2009-02-18 14:582009-03-17 15:40
Reporterhnishiyama 
Assigned Tofman 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.8 RC 5 
Summary0002126: All of Recods are deleted within a table of "nodes_hierarchy", if system is a Project.
DescriptionAll of Recods are deleted within a table of "nodes_hierarchy" even if I do <Delete document> of Requirement Specification.
and, Document of Specification is not deleted within a table of "requirements".

--Error Steps--

1. Click on title of a Project Name

2. Click on <New Requirement Specification>
   Tile="Dummy_Spec_1"
   Save

3. Click on "Dummy_Spec_1"

4. Click on <Create Requirement>
   Document ID="Dummy_DocID_1"
   Tile="Dummy_Doc_1"
   Save

   Document ID="Dummy_DocID_2"
   Tile="Dummy_Doc_2"
   Save

5. Click on "Dummy_Spec_1"

6. Click on <Delete document>
   Are you sure?
   Click on <Yes>

7. Click on title of a Project Name
   You can see that page of Create new Test Project. Oh my God !..!
   paka paka.

Run phpMyAdmin

All of Recods are deleted within a table of "nodes_hierarchy", if system is a Project.

Recods of Project Name are deleted within a table of "nodes_hierarchy".
and, Document of Requirement Specification is not deleted within a table of "requirements".
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE6
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow Status
Attached Fileslzh file icon id2126.lzh [^] (401,644 bytes) 2009-02-27 16:42
lzh file icon test2.lzh [^] (279,363 bytes) 2009-02-27 17:39

- Relationships
child of 0002119closedschlundus Document of Requirement Specification is not deleted within a table of "requirements". 

-  Notes
(0005529)
hnishiyama (reporter)
2009-02-18 15:19
edited on: 2009-02-18 15:39

--Error Presteps--
Run phpMyAdmin

TRUNCATE `nodes_hierarchy`;
TRUNCATE `requirements`;
TRUNCATE `req_coverage`;
TRUNCATE `req_specs`;
TRUNCATE `testprojects`;

--Steps--
7. Click on title of a Project Name
-->7. Click on <Home>

(0005535)
fman (administrator)
2009-02-19 01:29

Regarding:
>>> Oh my God !..! paka paka.

IMHO you need to search on internet about how an issue must be reported.
Adding this kind of comment is absolutely WORTHLESS then avoid it.
(0005538)
hnishiyama (reporter)
2009-02-19 09:06
edited on: 2009-02-19 09:48

>>>IMHO you need to search on internet about how an issue must be reported.
Sorry, Administrator is said to "Thank you very much!" to reporter first, on internet.

>>>Adding this kind of comment is absolutely WORTHLESS then avoid it.
These are a disappointed meaning of the man who lost 3,000 test cases instantly.
Can not you understand concernment of this issue?

But I feel relieved, because This problem is not on 1.7.4.

(0005539)
hnishiyama (reporter)
2009-02-19 11:40
edited on: 2009-02-19 12:11

Product Version 1.8 RC 1 to 4

(0005544)
fman (administrator)
2009-02-19 15:21

I was unable to reproduce on 1.8RC4 and last CVS.

>> All of Recods are deleted within a table of "nodes_hierarchy", if system is a Project.

in this sentence is not clear what is the meaning of:
"if system is a Project."
would you mind to explain better ?

>>> Sorry, Administrator is said to "Thank you very much!" to reporter first, on internet.
I suggest you to start thinking about changing you attitutte, that is becoming rude.
You will get nothing if you continue this way.

>>> These are a disappointed meaning of the man who lost 3,000 test cases instantly.
>> Can not you understand concernment of this issue?
can understand concern, but do not accept jokes or other type of expresssions
that has no value to solve bug.

I'm sorry if data is gone, everyone make mistakes while developing, and you know you are using this software at your risk.
(0005547)
hnishiyama (reporter)
2009-02-19 16:24
edited on: 2009-02-23 09:05

>>I was unable to reproduce on 1.8RC4 and last CVS.
install it again.
It reappears other than me in Japan.

>>"if system is a Project."
>>would you mind to explain better ?
You will lost selecting project, if your system is a one Project.
You will lost not selecting project, if your sysytem is some Projeces.

>>can understand concern, but do not accept jokes or other type of expresssions
>>that has no value to solve bug.
This is not a joke!
You cannot understand that It is Anger and the Discouragement of the user who lost data.

>>I'm sorry if data is gone, everyone make mistakes while developing,
>>and you know you are using this software at your risk.
I know the way of the data return, but many users do not know it.
Therefore I announced this problem for a Japanese user, and I will support the way of the data return.
Please pray to God for what do not need my support...
I hope for emergency release, Before my support is necessary.

It is a Test Issue Process of my company as follows, Please refer to it.
Kaizen(Issue Prevention) is demanded to us in this process anytime at RC.

---Test Issue Process---
1. Designing (1h)
2. Coding (1/4h)
3. Testing (1h)
4. Reviewing (1/2h)
5. update cvs
6. Kaizen Saku(Planning of Issue Prevention) (1/2h)
7. update BTS

(0005622)
schlundus (reporter)
2009-02-26 03:24

Retested several times, no problem detected
(0005628)
hnishiyama (reporter)
2009-02-26 08:16

>>Retested several times, no problem detected

Did you "New installation" it again?
It reappears other than me in Japan.
(0005653)
masami (reporter)
2009-02-26 22:54

I could reproduce this issue on RC4. however, I changed his test step7.
I clicked the "HOME" link instead of project name. then current project was deleted.

I tested RC4 and CVS HEAD. I couldn't see the issue in CVS HEAD.

Anyway, I extract userlog1.log.
[>>][49a6a9084869d319438277][DEFAULT][/testlink/lib/requirements/reqSpecEdit.php][09/Feb/26 14:36:56]
    [09/Feb/26 14:36:56][AUDIT][a3e62cc33951ff9e33a3b5feba4c01c5][GUI]
        Test Project 'Auto test project' - Requirement specification 'req1' was created
[<<][49a6a9084869d319438277][DEFAULT][/testlink/lib/requirements/reqSpecEdit.php][09/Feb/26 14:36:56][09/Feb/26 14:36:56][took 0.044123 secs]
[<<][49a6a90a385e9895999082][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:36:58][09/Feb/26 14:36:58][took 0.037757 secs]
[>>][49a6a90a41bb6254949273][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:36:58]
[<<][49a6a90a41bb6254949273][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:36:58][09/Feb/26 14:36:58][took 0.027594 secs]
[<<][49a6a90aae660068074052][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:36:58][09/Feb/26 14:36:58][took 0.032641 secs]
[>>][49a6a90ab6849485217401][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:36:58]
[<<][49a6a90ab6849485217401][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:36:58][09/Feb/26 14:36:58][took 0.033169 secs]
[<<][49a6a90ae9778304031263][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:36:58][09/Feb/26 14:36:58][took 0.025137 secs]
[>>][49a6a90aefc15786794589][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:36:58]
[<<][49a6a90aefc15786794589][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:36:58][09/Feb/26 14:36:59][took 0.022979 secs]
[<<][49a6a90c6c944229559055][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:00][09/Feb/26 14:37:00][took 0.039042 secs]
[>>][49a6a90c7644c392975668][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:00]
[<<][49a6a90c7644c392975668][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:00][09/Feb/26 14:37:00][took 0.095608 secs]
[<<][49a6a90e0a5b3617511551][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:02][09/Feb/26 14:37:02][took 0.041683 secs]
[>>][49a6a90e14aeb212678810][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:02]
[<<][49a6a90e14aeb212678810][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:02][09/Feb/26 14:37:02][took 0.073434 secs]
[<<][49a6a9130f08b200401506][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:07][09/Feb/26 14:37:07][took 0.041226 secs]
[>>][49a6a91319424876953932][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:07]
    [09/Feb/26 14:37:07][AUDIT][a3e62cc33951ff9e33a3b5feba4c01c5][GUI]
        Requirement 'DOC-001' was created
[<<][49a6a91319424876953932][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:07][09/Feb/26 14:37:07][took 0.050597 secs]
[<<][49a6a91543b1a717201876][DEFAULT][/~masami/testlink/lib/events/eventviewer.php][09/Feb/26 14:37:09][09/Feb/26 14:37:09][took 0.031108 secs]
[>>][49a6a9154b6f0468919995][DEFAULT][/~masami/testlink/lib/events/eventviewer.php][09/Feb/26 14:37:09]
[<<][49a6a9154b6f0468919995][DEFAULT][/~masami/testlink/lib/events/eventviewer.php][09/Feb/26 14:37:09][09/Feb/26 14:37:09][took 0.070866 secs]
[<<][49a6a917f1de2194828363][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:11][09/Feb/26 14:37:12][took 0.038226 secs]
[>>][49a6a91807388352905876][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:12]
[<<][49a6a91807388352905876][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:12][09/Feb/26 14:37:12][took 0.027201 secs]
[<<][49a6a91876215260231213][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:12][09/Feb/26 14:37:12][took 0.026043 secs]
[>>][49a6a9187ca62413285741][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:12]
[<<][49a6a9187ca62413285741][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:12][09/Feb/26 14:37:12][took 0.035487 secs]
[<<][49a6a918a97ff073797263][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:12][09/Feb/26 14:37:12][took 0.025756 secs]
[>>][49a6a918afee1186363669][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:12]
[<<][49a6a918afee1186363669][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:12][09/Feb/26 14:37:12][took 0.032523 secs]
[<<][49a6a9198f0c2408316339][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:13][09/Feb/26 14:37:13][took 0.038529 secs]
[>>][49a6a919989a0972833625][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:13]
[<<][49a6a919989a0972833625][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:13][09/Feb/26 14:37:13][took 0.048942 secs]
[<<][49a6a91b27836024657604][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:15][09/Feb/26 14:37:15][took 0.041685 secs]
[>>][49a6a91b31d6c116516903][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:15]
[<<][49a6a91b31d6c116516903][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:15][09/Feb/26 14:37:15][took 0.045391 secs]
[<<][49a6a91faed26503567620][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:19][09/Feb/26 14:37:19][took 0.040888 secs]
[>>][49a6a91fb8f3f278565882][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:19]
    [09/Feb/26 14:37:19][AUDIT][a3e62cc33951ff9e33a3b5feba4c01c5][GUI]
        Requirement 'DOC-002' was created
[<<][49a6a91fb8f3f278565882][DEFAULT][/testlink/lib/requirements/reqEdit.php][09/Feb/26 14:37:19][09/Feb/26 14:37:19][took 0.052248 secs]
[<<][49a6a9220c332168190630][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:22][09/Feb/26 14:37:22][took 0.038311 secs]
[>>][49a6a92215b2c830800923][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:22]
[<<][49a6a92215b2c830800923][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:22][09/Feb/26 14:37:22][took 0.026638 secs]
[<<][49a6a9228305b036352733][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:22][09/Feb/26 14:37:22][took 0.026798 secs]
[>>][49a6a92289ba7322377460][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:22]
[<<][49a6a92289ba7322377460][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:22][09/Feb/26 14:37:22][took 0.032303 secs]
[<<][49a6a922b146f209747828][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:22][09/Feb/26 14:37:22][took 0.025292 secs]
[>>][49a6a922b798d550406634][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:22]
[<<][49a6a922b798d550406634][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:22][09/Feb/26 14:37:22][took 0.032104 secs]
[<<][49a6a92386f14449719711][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:23][09/Feb/26 14:37:23][took 0.038549 secs]
[>>][49a6a92390816055668530][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:23]
[<<][49a6a92390816055668530][DEFAULT][/testlink/lib/requirements/reqSpecView.php][09/Feb/26 14:37:23][09/Feb/26 14:37:23][took 0.047858 secs]
[<<][49a6a928c3110277817051][DEFAULT][/testlink/lib/requirements/reqSpecEdit.php][09/Feb/26 14:37:28][09/Feb/26 14:37:28][took 0.04033 secs]
[>>][49a6a928cd129150990947][DEFAULT][/testlink/lib/requirements/reqSpecEdit.php][09/Feb/26 14:37:28]
    [09/Feb/26 14:37:28][AUDIT][a3e62cc33951ff9e33a3b5feba4c01c5][GUI]
        Test Project 'Auto test project' - Requirement specification 'req1' was deleted
[<<][49a6a928cd129150990947][DEFAULT][/testlink/lib/requirements/reqSpecEdit.php][09/Feb/26 14:37:28][09/Feb/26 14:37:28][took 0.061144 secs]
[<<][49a6a9290b908156594474][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:29][09/Feb/26 14:37:29][took 0.040191 secs]
[>>][49a6a929158a3079852664][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:29]
[<<][49a6a929158a3079852664][DEFAULT][/lib/requirements/reqSpecListTree.php][09/Feb/26 14:37:29][09/Feb/26 14:37:29][took 0.027279 secs]
[<<][49a6a9297f2f0459916453][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:29][09/Feb/26 14:37:29][took 0.025305 secs]
[>>][49a6a92985852224284410][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:29]
[<<][49a6a92985852224284410][DEFAULT][/testlink/lib/ajax/getrequirementnodes.php][09/Feb/26 14:37:29][09/Feb/26 14:37:29][took 0.02281 secs]
[<<][49a6a92b70019050646600][DEFAULT][/~masami/testlink/index.php][09/Feb/26 14:37:31][09/Feb/26 14:37:31][took 0.042766 secs]
[<<][49a6a92ba5e9f989186674][DEFAULT][/~masami/testlink/lib/general/navBar.php][09/Feb/26 14:37:31][09/Feb/26 14:37:31][took 0.028143 secs]
[>>][49a6a92baced5219304059][DEFAULT][/~masami/testlink/lib/general/navBar.php][09/Feb/26 14:37:31]
[<<][49a6a92baced5219304059][DEFAULT][/~masami/testlink/lib/general/navBar.php][09/Feb/26 14:37:31][09/Feb/26 14:37:31][took 0.042823 secs]
[<<][49a6a92ba1230021683873][DEFAULT][/~masami/testlink/lib/general/mainPage.php][09/Feb/26 14:37:31][09/Feb/26 14:37:31][took 0.096282 secs]
[>>][49a6a92bb8c9e841015576][DEFAULT][/~masami/testlink/lib/general/mainPage.php][09/Feb/26 14:37:31]
    [09/Feb/26 14:37:31][WARNING][a3e62cc33951ff9e33a3b5feba4c01c5][GUI]
        No project found: Assume a new installation and redirect to create it
[<<][49a6a92bb8c9e841015576][DEFAULT][/~masami/testlink/lib/general/mainPage.php][09/Feb/26 14:37:31][09/Feb/26 14:37:31][took 0.036495 secs]
(0005660)
mhavlat (reporter)
2009-02-27 03:25

It seems, that we must make a trip to Japan if we would like to reproduce issue :-D

hnishiyama, please, could you be so kind to try CVS code or RC5? And confirm the findings by Masami. Thanks a lot.
(0005668)
hnishiyama (reporter)
2009-02-27 16:48
edited on: 2009-02-27 17:43

Reproduction rate =100%

--Error Steps--
1. New installation RC4 again

2. Test Project Management
  Click on <Create>
   Name="projAAA"
   Test Case ID prefix="pA"
   Requirements Management checked
   Click on <Create>

3. Requirement Specification document

3.1 Create "ReqSpecDummy_A" of Specification document, and 2 requirements

 "ReqSpecDummy_A"
     ----"T_dummy1"
     ----"T_dummy2"

3.1.1 -->See test_step0.JPG of Upload File

3.2 Create "ReqSpecDummy_B" of Specification document

3.3 Change a "ReqSpecDummy_A".parent_id 1 => 5 by phpMyAdmin.

3.4 -->See test_step1.JPG

4. Delete a document of "ReqSpecDummy_A"

5. Deleted a project of "projAAA"!

5.1 -->See test_step2.JPG

-------------------------------
--Error Steps-- (test2)
-------------------------------

1. New installation RC4 again

2. Test Project Management
  Click on <Create>
   Name="projAAA"
   Test Case ID prefix="pA"
   Requirements Management checked
   Click on <Create>

  Click on <Create>
   Name="projBBB"
   Test Case ID prefix="pB"
   Requirements Management checked
   Click on <Create>


3. Requirement Specification document

3.1 Create "ReqSpecDummy_A" of Specification document, and 2 requirements

 "ReqSpecDummy_A"
     ----"T_dummy1"
     ----"T_dummy2"

3.1.1 -->See test2_step0.JPG of test2.lzh Upload File

3.2 Change a "ReqSpecDummy_A".parent_id 1 => 2 by phpMyAdmin.

3.3 -->See test2_step1.JPG


4. Delete a document of "ReqSpecDummy_A"

5. Deleted a project of "projAAA"!

5.1 -->See test2_step2.JPG

---------
MySQL client version: 5.0.51a

(0005673)
uhi (reporter)
2009-02-27 20:36

The same problem occurred today on our Testlink 1.8 RC4 installation.

Our configuration:
1 test project
1 test plan
2 requirement documents (imported via xml import)
lots of test cases, some with links to requirements

Test steps:
1.) delete one requirement document (note: some requirements have been linked to test cases!!! deletion should be prevented)
2.) click on the title of our Project Name
3.) the page "Create new Test Project" is displayed
4.) pre created test project was gone on GUI

Solution:
1.) we need to know how to repair database manually
or
2.) drop database and restore it via backup

Problem severity:
We think it is a major bug and must be solved.
(0005674)
masami (reporter)
2009-02-27 20:49

Hi.

I took mysql query logs. I paste delete queries log here.
# sorry. it's quite long.
Please let me know if you need every log which logged between create requirement specification and click "HOME".

These are test data.
Requirement Specification is "req1"
Document IDs are DOC-001 and DOC-002

I'm not good at sql syntax and don't know how Testlink works. so, I can't say where is good or bad. although, I hope it will help your debuging.

Following log is RC4's log which I could reproduce the issue.
-----------------------------------------------------------------------------
            175 Query SELECT testplan_id,role_id FROM user_testplan_roles WHERE user_id = 1
            175 Query DELETE FROM cfield_design_values WHERE node_id=5
            175 Query SELECT requirements.*, NH.node_order FROM requirements requirements, nodes_hierarchy NH WHERE requirements.id=NH.id AND srs_id=5 ORDER BY NH.node_order,title,req_doc_id
            175 Query DELETE FROM cfield_design_values WHERE node_id IN(0,1)
            175 Query DELETE FROM req_coverage WHERE req_id IN (0,1)
            175 Query SELECT id FROM attachments WHERE fk_id = 0 AND fk_table = 'requirements' ORDER BY date_added DESC
            175 Query SELECT id FROM attachments WHERE fk_id = 1 AND fk_table = 'requirements' ORDER BY date_added DESC
            175 Query DELETE FROM nodes_hierarchy WHERE id IN (0,1)
            175 Query DELETE FROM requirements WHERE id IN (0,1)
            175 Query SELECT * from nodes_hierarchy WHERE parent_id = 5
            175 Query SELECT * from nodes_hierarchy WHERE parent_id = 6
            175 Query SELECT * from nodes_hierarchy WHERE parent_id = 7
            175 Query DELETE FROM nodes_hierarchy WHERE id IN (5,6,7)
            175 Query DELETE FROM req_specs WHERE id=5
            175 Query INSERT INTO transactions (entry_point,start_time,end_time,user_id,session_id) VALUES ('/testlink/lib/requirements/reqSpecEdit.php',1235735733,0,1,'a3e62cc33951ff9e33a3b5feba4c01c5')
            175 Query SELECT LAST_INSERT_ID()
            175 Query INSERT INTO events (transaction_id,log_level,description,source,fired_at,object_id,object_type,activity) VALUES (9,16,'O:18:\"tlMetaStringHelper\":4:{s:5:\"label\";s:22:\"audit_req_spec_deleted\";s:6:\"params\";a:2:{i:0;s:17:\"Auto test project\";i:1;s:4:\"req1\";}s:13:\"bDontLocalize\";b:0;s:14:\"bDontFireEvent\";b:0;}','GUI',1235735733,5,'req_specs','DELETE')
            175 Query SELECT LAST_INSERT_ID()
            175 Query UPDATE transactions SET end_time = 1235735733 WHERE id = 9
            175 Quit
-----------------------------------------------------------------------------

Following log is CVS HEAD's log which I couldn't reproduce the issue.
-----------------------------------------------------------------------------
            174 Query SELECT testplan_id,role_id FROM user_testplan_roles WHERE user_id = 1
            174 Query DELETE FROM cfield_design_values WHERE node_id=5
            174 Query SELECT requirements.*, NH.node_order FROM requirements requirements, nodes_hierarchy NH WHERE requirements.id=NH.id AND srs_id=5 ORDER BY NH.node_order,title,req_doc_id
            174 Query DELETE FROM cfield_design_values WHERE node_id IN(6,7)
            174 Query DELETE FROM req_coverage WHERE req_id IN (6,7)
            174 Query SELECT id FROM attachments WHERE fk_id = 6 AND fk_table = 'requirements' ORDER BY date_added DESC
            174 Query SELECT id FROM attachments WHERE fk_id = 7 AND fk_table = 'requirements' ORDER BY date_added DESC
            174 Query DELETE FROM nodes_hierarchy WHERE id IN (6,7)
            174 Query DELETE FROM requirements WHERE id IN (6,7)
            174 Query SELECT id FROM attachments WHERE fk_id = 5 AND fk_table = 'req_specs' ORDER BY date_added DESC
            174 Query SELECT * from nodes_hierarchy WHERE parent_id = 5
            174 Query DELETE FROM nodes_hierarchy WHERE id IN (5)
            174 Query DELETE FROM req_specs WHERE id = 5
            174 Query INSERT INTO events (transaction_id,log_level,description,source,fired_at,object_id,object_type,activity) VALUES (11,16,'O:18:\"tlMetaStringHelper\":4:{s:5:\"label\";s:22:\"audit_req_spec_deleted\";s:6:\"params\";a:2:{i:0;s:11:\"TestProject\";i:1;s:4:\"req1\";}s:13:\"bDontLocalize\";b:0;s:14:\"bDontFireEvent\";b:0;}','GUI',1235737137,5,'req_specs','DELETE')
            174 Query SELECT LAST_INSERT_ID()
            174 Query UPDATE transactions SET end_time = 1235737137 WHERE id = 11
            174 Quit
-----------------------------------------------------------------------------

Cheers,
(0005681)
schlundus (reporter)
2009-02-28 03:43

Ah, it seems there was a bug in

SELECT requirements.*, NH.node_order FROM requirements requirements, nodes_hierarchy NH WHERE requirements.id=NH.id AND srs_id=5 ORDER BY NH.node_order,title,req_doc_id
            175 Query DELETE FROM cfield_design_values WHERE node_id IN(0,1)
            175 Query DELETE FROM req_coverage WHERE req_id IN (0,1)

which is now fixed as
Query SELECT requirements.*, NH.node_order FROM requirements requirements, nodes_hierarchy NH WHERE requirements.id=NH.id AND srs_id=5 ORDER BY NH.node_order,title,req_doc_id
            174 Query DELETE FROM cfield_design_values WHERE node_id IN(6,7)
            174 Query DELETE FROM req_coverage WHERE req_id IN (6,7)

- Issue History
Date Modified Username Field Change
2009-02-18 14:58 hnishiyama New Issue
2009-02-18 14:58 hnishiyama Browser => IE6
2009-02-18 14:58 hnishiyama PHP Version => 5.2.5
2009-02-18 15:19 hnishiyama Note Added: 0005529
2009-02-18 15:39 hnishiyama Note Edited: 0005529
2009-02-19 01:29 fman Note Added: 0005535
2009-02-19 01:30 fman Status new => assigned
2009-02-19 01:30 fman Assigned To => fman
2009-02-19 01:50 schlundus Relationship added child of 0002119
2009-02-19 09:06 hnishiyama Note Added: 0005538
2009-02-19 09:48 hnishiyama Note Edited: 0005538
2009-02-19 11:40 hnishiyama Note Added: 0005539
2009-02-19 12:11 hnishiyama Note Edited: 0005539
2009-02-19 15:21 fman Note Added: 0005544
2009-02-19 16:24 hnishiyama Note Added: 0005547
2009-02-19 16:38 hnishiyama Note Edited: 0005547
2009-02-19 17:58 mhavlat Priority normal => urgent
2009-02-20 09:48 hnishiyama Note Edited: 0005547
2009-02-20 11:23 hnishiyama Note Edited: 0005547
2009-02-23 08:56 hnishiyama Note Edited: 0005547
2009-02-23 09:05 hnishiyama Note Edited: 0005547
2009-02-26 03:24 schlundus Note Added: 0005622
2009-02-26 08:16 hnishiyama Note Added: 0005628
2009-02-26 22:54 masami Note Added: 0005653
2009-02-27 03:25 mhavlat Note Added: 0005660
2009-02-27 16:42 hnishiyama File Added: id2126.lzh
2009-02-27 16:48 hnishiyama Note Added: 0005668
2009-02-27 16:58 hnishiyama Note Edited: 0005668
2009-02-27 17:39 hnishiyama File Added: test2.lzh
2009-02-27 17:42 hnishiyama Note Edited: 0005668
2009-02-27 17:43 hnishiyama Note Edited: 0005668
2009-02-27 20:36 uhi Note Added: 0005673
2009-02-27 20:49 masami Note Added: 0005674
2009-02-28 03:43 schlundus Note Added: 0005681
2009-02-28 03:44 schlundus Status assigned => resolved
2009-02-28 03:44 schlundus Fixed in Version => next DEV - 1.8 RC 5
2009-02-28 03:44 schlundus Resolution open => fixed
2009-03-17 15:40 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker